got the clam bins to build at least, and with right architecture.
--- /dev/null
+#!/bin/bash
+if [ -f version.ini ]; then
+ grep "root *=" version.ini | sed -e "s/root *= *//" -e "s/ *$//"
+fi
LOAD_FLAG_PREFIX += $(shell wx-config --libs $(UNICODE_FLAG_ADD) )
endif
-LOAD_FLAG_PREFIX += -lwsock32 -lmswsock -shared
+#hmmm: LOAD_FLAG_PREFIX += -lwsock32 -lmswsock -shared
ifneq "$(USE_CURL)" ""
COMPILER_FLAGS += `curl-config --cflags`
ACTUAL_FIRST_TARGETS = check_requirements $(EXTRA_FIRST_TARGETS) $(VERSION_TARGET) $(FIRST_TARGETS) pre_compilation
# Adds the primary targets to the list of products to create.
-#ifeq "$(NO_COMPILE)" ""
-
- ifneq "$(OP_SYSTEM)" "WIN32"
- ACTUAL_TARGETS1 = $(TARGETS:%.exe=$(EXECUTABLE_DIR)/%)
- else
- ACTUAL_TARGETS1 = $(TARGETS:%.exe=$(EXECUTABLE_DIR)/%.exe)
- endif
-
- ifneq "$(OP_SYSTEM)" "WIN32"
- ACTUAL_TARGETS2 = $(ACTUAL_TARGETS1:%.dll=%.so)
- ACTUAL_TARGETS3 = $(ACTUAL_TARGETS2:%.so=$(DYNAMIC_LIBRARY_DIR)/%$(TRIPART_VERSION).so)
- else
- ACTUAL_TARGETS2 = $(ACTUAL_TARGETS1:%.so=%.dll)
- ACTUAL_TARGETS3 = $(ACTUAL_TARGETS2:%.dll=$(DYNAMIC_LIBRARY_DIR)/%$(TRIPART_VERSION).dll)
- endif
-
- ACTUAL_TARGETS4 = $(ACTUAL_TARGETS3:%.lib=$(STATIC_LIBRARY_DIR)/%$(TRIPART_VERSION).library)
- ACTUAL_TARGETS = $(ACTUAL_TARGETS4:%.elf=$(EXECUTABLE_DIR)/%.elf)
-
-#else #is no_compile
-# ACTUAL_TARGETS1 = $(TARGETS:%.exe=)
-# ACTUAL_TARGETS2 = $(ACTUAL_TARGETS1:%.dll=)
-# ACTUAL_TARGETS3 = $(ACTUAL_TARGETS2:%.so=)
-# ACTUAL_TARGETS4 = $(ACTUAL_TARGETS3:%.lib=)
-# ACTUAL_TARGETS = $(ACTUAL_TARGETS4:%.elf=)
-#endif
+ACTUAL_TARGETS1 = $(TARGETS:%.exe=$(EXECUTABLE_DIR)/%)
+ACTUAL_TARGETS2 = $(ACTUAL_TARGETS1:%.dll=%.so)
+ACTUAL_TARGETS3 = $(ACTUAL_TARGETS2:%.so=$(DYNAMIC_LIBRARY_DIR)/%$(TRIPART_VERSION).so)
+ACTUAL_TARGETS4 = $(ACTUAL_TARGETS3:%.lib=$(STATIC_LIBRARY_DIR)/%$(TRIPART_VERSION).library)
+ACTUAL_TARGETS = $(ACTUAL_TARGETS4:%.elf=$(EXECUTABLE_DIR)/%.elf)
-# Adds the last few targets for CLAM to do.
+# Adds the last few targets that CLAM works on.
ACTUAL_LAST_TARGETS = post_compilation $(LAST_TARGETS)
############################################################################
$(OBJECT_DIR)/%.obj: $(CURRENT_DIR)/%.cpp
ifeq "$(NO_COMPILE)" ""
@echo Compiling Object [$(notdir $@)]
+ @echo cmd: $(CATCHER)$(CC) $(COMPILER_FLAGS) -c $< $(OBJECT_NAME_FLAG)$@
$(HIDESH)-c 'if [ ! -d $(@D) ]; then mkdir $(@D); fi'
$(CATCHER)$(CC) $(COMPILER_FLAGS) -c $< $(OBJECT_NAME_FLAG)$@
endif
############################################################################
-# resource compiler for win32.
+# resource compiler for windoze.
# we currently do not use rc files.
$(OBJECT_DIR)/%.res: %.rc
#LIBRARY_TOOL =
# the root name of the version file. This is currently irrelevant on
-# non-win32 platforms.
+# non-windoze platforms.
VERSION_RC_ROOT = $(shell $(SHELL) $(CLAM_SCRIPTS)/cpp/rc_name.sh)
ifneq "$(CONSOLE_MODE)" ""
###############################################################################
# Operating system dependent flags.
+# (not so OS dependent with move to only gnu compilation...)
-ifeq "$(OP_SYSTEM)" "UNIX"
- LIB_ENDING = .a
- DYNLIB_ENDING = .so
-endif
-ifeq "$(OP_SYSTEM)" "WIN32"
-#hmmm: question here about what we build for dynamic, which is currently broken.
-# LIB_ENDING = .lib
-# DYNLIB_ENDING = .dll
-# else
- LIB_ENDING = .a
- DYNLIB_ENDING = .so
-# endif
-endif
+LIB_ENDING = .a
+DYNLIB_ENDING = .so
###############################################################################
ifeq "$(COMPILER)" "GNU_WINDOWS"
# GNU compiler for MS Windoze...
CC = g++
- ifeq "$(COMPILER_ROOT_DIR)" ""
- COMPILER_ROOT_DIR = $(CYGROOT)
- endif
+ COMPILER_ROOT_DIR = /
+ ARCHITECTURE = $(shell machine 2>/dev/null || arch 2>/dev/null || echo i686)
+#hmmm: below fixes nothing! argh!
+# ARCHITECTURE = i386
export COMPILER_VERSION = $(shell $(SHELL) $(CLAM_SCRIPTS)/cpp/get_version.sh $(COMPILER) $(COMPILER_ROOT_DIR) )
- RC := $(COMPILER_ROOT_DIR)/bin/windres
+# RC := $(COMPILER_ROOT_DIR)/bin/windres
PLATFORM_ADD_IN = w32_
COMPILER_HEADER_DIR = $(COMPILER_ROOT_DIR)/include $(COMPILER_ROOT_DIR)/include/c++/3.4.2
CLAM_TMP := $(FEISTY_MEOW_GENERATED_STORE)/clam_tmp
endif
-#turned off for the moment, since this seems like a bad idea; we define clam tmp in terms of tmp sometimes, do not we???
-#ifeq "$(OP_SYSTEM)" "WIN32"
-# # set these so that compilers and such will use them.
-# export TMP := $(CLAM_TMP)
-# export TEMP := $(CLAM_TMP)
-#endif
-
# "FAILURE_FILE" is a file that is used as a flag to track failures. if the
# file exists, then it is assumed that a failure happened during the current
# make.
SOURCECODE_HIERARCHY_LIST="codebarn extra_brain interbrane"
# point to our local certificate for ssh usage.
- export SVN_SSH="ssh -i $HOME/.ssh/others/id_rsa_sourceforge"
+ export SVN_SSH="ssh -i $HOME/.ssh/others/id_dsa_sourceforge"
# Error and success noises for CLAM.
export CLAM_ERROR_SOUND='/z/walrus/media/sounds/effects/bwaaang.wav /z/walrus/media/sounds/cartoons/doh4.wav'
#!/bin/bash
-mkdir -p $HOME/disco
+mkdir $HOME/disco
pushd $HOME/disco &>/dev/null
-mkdir -p burn converted grind rip workshop
+mkdir -p burn converted grind rip
popd &>/dev/null
# load up the helper variables for visual studio on winders.
if [ "$OPERATING_SYSTEM" == "WIN32" ]; then
-#no. source "$BUILD_SCRIPTS_PATH/vis_stu_vars.sh"
- # we are trying to move back to our good path of using gcc, not visual studio.
- # the visual studio rig was for version 6? a long time ago, and has withered
- # on the vine. meanwhile gnu cc is still cooking along and available.
+ # moved back to the good path of using gcc, not visual studio.
#what vars needed?
#trying just unixy ones, since we're doing cygwin on doze.
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$TARGETS_STORE"